#!/usr/bin/perl

use strict;

my $home = 't/home/sessions';

opendir(DIR, $home) || die "can't opendir $home: $!";
my @old_sessions =
 grep { !/^\./ && -f "$home/$_" && ((-M "$home/$_")*72 > 1) }
  readdir(DIR);
closedir DIR;

foreach my $session (@old_sessions)
 {
  print "try to delete session from $home/$session\n";
  unlink "$home/$session";
 }
